<?php
defined('BASEPATH') or exit('No direct script access allowed');

class DrawsFront extends CI_Controller
{
    private $dataAdmin;

    function __construct()
    {
        parent::__construct();

        if ($this->session->userdata('site_lang') == '') {
            $this->session->set_userdata('site_lang', 'english');
        }

        $this->load->helper('url');
        $this->load->library('pagination');

        $this->load->model("user_model");
        $this->load->model("draws_model");
        $this->load->model("about_model");
    }

    public function index()
    {
        $push = [
            "pageTitle" => "Draws",
            "dataAdmin" => $this->dataAdmin,
            "dataDraw" => $this->draws_model->get()->result(),
            "dataAbout" => $this->about_model->get()->result(),
            "language" => $this->session->userdata('site_lang')
        ];
        $this->template->load(template() . '/template', template() . '/pastdraws', $push);
    }

    public function getdraws($rowno = 0)
    {
        // $result = $this->draws_model->get()->result();
        $rowperpage = 9;

        if ($rowno != 0) {
            $rowno = ($rowno - 1) * $rowperpage;
        }

        $allcount = $this->draws_model->get_total();
        $draw_record = $this->draws_model->get_data($rowno, $rowperpage);

        $config['base_url'] = base_url() . 'DrawsFront/getdraws';
        $config['use_page_numbers'] = TRUE;
        $config['total_rows'] = $allcount;
        $config['per_page'] = $rowperpage;

        $this->pagination->initialize($config);

        $data['pagination'] = $this->pagination->create_links();
        $data['result'] = $draw_record;
        $data['row'] = $rowno;

        echo json_encode($data);
    }

    public function getlivedraws()
    {
        $dateyesterday = date("Y-m-d", strtotime('-1 days'));
        $datetoday = date("Y-m-d");
        $today = $this->draws_model->getbydate($datetoday);
        $yesterday = $this->draws_model->getbydate($dateyesterday);
        $data = [
            "today" => $today,
            "yesterday" => $yesterday
        ];
        echo json_encode($data);
    }

    public function getpast()
    {

        $list = $this->draws_model->get_datatables();
        $data = array();
        $no = $_POST['start'];
        foreach ($list as $field) {
            $no++;
            $row = array();
            // $row[] = $no;
            $row[] = $field->day;
            $row[] = $field->date;
            $row[] = $field->firstprize;
            $row[] = $field->secondprize;
            $row[] = $field->thirdprize;

            $data[] = $row;
        }

        $output = array(
            "draw" => $_POST['draw'],
            "recordsTotal" => $this->draws_model->count_all(),
            "recordsFiltered" => $this->draws_model->count_filtered(),
            "data" => $data,
        );
        //output dalam format JSON
        echo json_encode($output);
    }

}