<div class="breadcrumbs">
    <div class="col-sm-4">
        <div class="page-header float-left">
            <div class="page-title">
                <h1>About</h1>
            </div>
        </div>
    </div>
    <div class="col-sm-8">
        <div class="page-header float-right">
            <div class="page-title">
                <ol class="breadcrumb text-right">
                    <li><a href="<?= base_url("dashboard"); ?>">Dashboard</a></li>
                    <li class="active">About</li>
                </ol>
            </div>
        </div>
    </div>
</div>

<div class="content mt-3">
    <div class="card">
        <?php if ($dataAdmin->role == 'admin') { ?>
            <div class="card-header">
                <button class="btn btn-success btn-sm btn-show-add" data-toggle="modal" data-target="#compose"><i
                        class="fa fa-plus"></i> Add About</button>
            </div>
        <?php } else if ($dataAdmin->role == 'user') { ?>
            <?php } ?>
        <div class="card-body">
            <div class="table-responsive">
                <table class="table table-bordered" id="data">
                    <thead>
                        <tr>
                            <th style="width:5%">#</th>
                            <th style="width:10%">Background</th>
                            <th>Title</th>
                            <th>Description</th>
                            <?php if ($dataAdmin->role == 'admin') { ?>
                                <th style="width:10%">Actions</th>
                            <?php } else if ($dataAdmin->role == 'user') { ?>
                                <?php } ?>
                        </tr>
                    </thead>
                </table>
            </div>
        </div>
    </div>
</div>

<div class="modal" id="previewimg" data-index="">
    <div class="modal-dialog modal-lg modal-dialog-centered" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="largeModalLabel">Preview image</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div class="img-box text-center">

                </div>
            </div>
        </div>
    </div>
</div>


<div class="modal" id="compose" tabindex="-1" role="dialog" aria-labelledby="largeModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="largeModalLabel">Add About</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <form action="" id="composeForm">
                <div class="modal-body">
                    <div class="row">
                        <div class="col-12 col-md-12 col-lg-12">
                            <div class="form-group rounded">
                                <label>Background</label>
                                <input type="file" name="userfile" accept="image/gif, image/jpeg, image/jpg, image/png"
                                    class="dropify rounded" data-default-file="" value="" />
                            </div>
                        </div>
                        <div class="col-12 col-md-6 col-lg-6">
                            <div class="card-form">
                                <img class="flag-img mb-3" src="<?= base_url() ?>/assets/img/gb.svg">
                                <div class="form-group">
                                    <label>Judul</label>
                                    <input type="text" name="title" autocomplete="off" class="form-control" id="title">
                                </div>
                                <div class="form-group">
                                    <label>Deskripsi</label>
                                    <textarea type="text" name="description" autocomplete="off" class="form-control"
                                        id="description" rows="3"></textarea>
                                </div>
                            </div>
                        </div>
                        <div class="col-12 col-md-6 col-lg-6 pl-md-0 pl-lg-0">
                            <div class="card-form">
                                <img class="flag-img mb-3" src="<?= base_url() ?>/assets/img/bg.svg">
                                <div class="form-group">
                                    <label>Title</label>
                                    <input type="text" name="titleBg" autocomplete="off" class="form-control"
                                        id="titleBg">
                                </div>
                                <div class="form-group">
                                    <label>Description</label>
                                    <textarea type="text" name="descriptionBg" autocomplete="off" class="form-control"
                                        id="descriptionBg" rows="3"></textarea>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
                    <button type="submit" class="btn btn-primary btn-submit">Simpan</button>
                </div>
            </form>
        </div>
    </div>
</div>
<div class="modal" id="delete" tabindex="-1" role="dialog" aria-labelledby="largeModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-md" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="largeModalLabel">Konfirmasi?</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">

            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
                <button type="button" class="btn btn-primary btn-del-confirm">Hapus</button>
            </div>
        </div>
    </div>
</div>

<script>
    $(".btn-show-add").on("click", function () {
        jQuery("input[name=title]").val("");
        jQuery("textarea[name=description]").val("");
        jQuery("input[name=titleBg]").val("");
        jQuery("textarea[name=descriptionBg]").val("");
        jQuery('.dropify-wrapper').find('.img-fit').remove();
        jQuery(".dropify").attr('data-default-file', '');
        jQuery("#compose .modal-title").html("Add About");
        jQuery("#composeForm").attr("action", "<?= base_url("about/insert"); ?>");

        jQuery(".dropify-clear").trigger("click");
        jQuery("#composeForm").validate().resetForm();
    });

    $("#data").DataTable({
        "processing": true,
        "serverSide": true,
        "autoWidth": true,
        "order": [],
        "ajax": {
            "url": "<?= base_url("About/json"); ?>"
        }
    });

    $("body").on("click", ".btn-previewimg", function () {
        var id = jQuery(this).attr("data-id");
        var photo = jQuery(this).attr("data-image");
        var url = '<?= base_url(); ?>img/';
        var newurl = url + '' + photo;
        var html = '<img src="' + newurl + '" />';

        if (photo == '') {
            var defaultpic = 'default.png';
            var newurl = url + '' + defaultpic;
            var html = '<img src="' + newurl + '" />';
            jQuery("#previewimg").modal("toggle");
            jQuery('#previewimg').find('.img-box').empty();
            jQuery('#previewimg').find('.img-box').append(html);
        } else {
            jQuery("#previewimg").modal("toggle");
            jQuery('#previewimg').find('.img-box').empty();
            jQuery('#previewimg').find('.img-box').append(html);
        }
    });

    $.validator.addMethod('filesize', function (value, element, param) {
        return this.optional(element) || (element.files[0].size <= param * 1000000)
    }, 'File size must be less than {0} MB');

    $("#composeForm").validate({
        rules: {
            userfile: {
                filesize: 1
            },
            title: {
                required: true
            },
            description: {
                required: true,
            },
            titleBg: {
                required: true
            },
            descriptionBg: {
                required: true,
            },
        },
        messages: {
            userfile: {
                filesize: "Maksimal size gambar 1MB"
            },
            title: {
                required: "*Masukkan judul."
            },
            description: {
                required: "*Masukkan deskripsi.",
            },
            titleBg: {
                required: "*Enter title."
            },
            descriptionBg: {
                required: "*Enter description.",
            }
        },
        submitHandler: function (form) {
            var form = new FormData();
            form.append("title", jQuery('input[name=title]').val());
            form.append("description", jQuery('textarea[name=description]').val());
            form.append("titleBg", jQuery('input[name=titleBg]').val());
            form.append("descriptionBg", jQuery('textarea[name=descriptionBg]').val());
            form.append("userfile", jQuery('.dropify')[0].files[0]);
            var action = jQuery("#composeForm").attr("action");
            jQuery('.dropify-wrapper').find('.img-fit').remove();

            console.log(jQuery('.dropify')[0].files[0]);

            jQuery.ajax({
                url: action,
                method: "POST",
                data: form,
                dataType: "json",
                processData: false,
                contentType: false,
                success: function (data) {
                    if (data.status) {
                        jQuery("input[name=title]").val("");
                        jQuery("textarea[name=description]").val("");
                        jQuery("input[name=titleBg]").val("");
                        jQuery("textarea[name=descriptionBg]").val("");
                        jQuery("input[name=userfile]").val("");
                        jQuery(".dropify-clear").trigger("click");

                        jQuery("#compose").modal('toggle');
                        jQuery("#data").DataTable().ajax.reload(null, true);
                        Swal.fire(
                            'Berhasil',
                            data.msg,
                            'success'
                        )
                    } else {
                        Swal.fire(
                            'Gagal',
                            data.msg,
                            'error'
                        )
                    }
                }
            });
        },
        errorPlacement: function (label, element) {
            label.addClass('error');
            element.after(label);
        }
    });

    $('body').on("click", ".btn-delete", function () {
        var id = jQuery(this).attr("data-id");
        var title = jQuery(this).attr("data-title");
        jQuery("#delete .modal-body").html("Anda yakin ingin menghapus <b>" + title + "</b>");
        jQuery("#delete").modal("toggle");

        jQuery("#delete .btn-del-confirm").attr("onclick", "deleteData(" + id + ")");
    })

    function deleteData(id) {
        jQuery.getJSON("<?= base_url(); ?>about/delete/" + id, function (data) {
            console.log(data.status);
            if (data.status) {
                jQuery("#delete").modal("toggle");
                jQuery("#data").DataTable().ajax.reload(null, true);
                Swal.fire(
                    'Berhasil',
                    data.msg,
                    'success'
                )
            } else {
                Swal.fire(
                    'Gagal',
                    data.msg,
                    'error'
                )
            }
        })
    }

    $("body").on("click", ".btn-edit", function () {
        jQuery(".dropify-clear").trigger("click");
        jQuery('.dropify-wrapper').find('.img-fit').remove();

        var id = jQuery(this).attr("data-id");
        var title = jQuery(this).attr("data-title");
        var description = jQuery(this).attr("data-description");
        var titleBg = jQuery(this).attr("data-titleBg");
        var descriptionBg = jQuery(this).attr("data-descriptionBg");
        var image = jQuery(this).attr("data-image");

        if (image == '') {
            var url = '<?= base_url(); ?>img/';
            var defaultpic = 'default.png';
            var newurl = url + '' + defaultpic;
            var html = '<img src="' + newurl + '" />';
        } else {
            var url = '<?= base_url(); ?>img/';
            var newurl = url + '' + image;

            var img = '<img src=' + newurl + '></img>'
        }

        jQuery("#compose .modal-title").html("Edit About");
        jQuery("#composeForm").attr("action", "<?= base_url(); ?>about/update/" + id);
        jQuery("input[name=title]").val(title);
        jQuery("textarea[name=description]").val(description);
        jQuery("input[name=titleBg]").val(titleBg);
        jQuery("textarea[name=descriptionBg]").val(descriptionBg);

        var html = '<img class="img-fit" src="' + newurl + '" />';
        jQuery('.dropify-wrapper').find('.dropify-message').before(html);

        jQuery(".form-group label.error").remove();
        jQuery(".form-group input").removeClass('.error');
        jQuery("#compose").modal("toggle");
    });

    $('.dropify').dropify();
</script>