<div class="breadcrumbs">
    <div class="col-sm-4">
        <div class="page-header float-left">
            <div class="page-title">
                <h1>Draws</h1>
            </div>
        </div>
    </div>
    <div class="col-sm-8">
        <div class="page-header float-right">
            <div class="page-title">
                <ol class="breadcrumb text-right">
                    <li><a href="<?= base_url("dashboard"); ?>">Dashboard</a></li>
                    <li class="active">Draws</li>
                </ol>
            </div>
        </div>
    </div>
</div>

<div class="content mt-3">
    <div class="card">
        <?php if ($dataAdmin->role == 'admin') { ?>
            <div class="card-header">
                <button class="btn btn-success btn-sm btn-show-add" data-toggle="modal" data-target="#compose"><i
                        class="fa fa-plus"></i> Add Draw</button>
            </div>
        <?php } else if ($dataAdmin->role == 'user') { ?>
        <?php } ?>
        <div class="card-body">
            <div class="table-responsive">
                <table class="table table-bordered" id="data">
                    <thead>
                        <tr>
                            <th style="width:10%">#</th>
                            <th>Date</th>
                            <th>1st Prize</th>
                            <th>2nd Prize</th>
                            <th>3rd Prize</th>
                            <th>Starter Prize</th>
                            <th>Console Prize</th>
                            <?php if ($dataAdmin->role == 'admin') { ?>
                                <th>Aksi</th>
                            <?php } else if ($dataAdmin->role == 'user') { ?>
                            <?php } ?>
                        </tr>
                    </thead>
                </table>
            </div>
        </div>
    </div>
</div>


<div class="modal" id="compose" tabindex="-1" role="dialog" aria-labelledby="largeModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-md" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="largeModalLabel">Add Draw</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <form action="" id="composeForm">
                <div class="modal-body">
                    <div class="form-group">
                        <label>Date</label>
                        <input type="text" name="date" autocomplete="off" class="form-control" onkeydown="return false"
                            id="date">
                    </div>
                    <div class="form-group">
                        <label>First Prize</label>
                        <input type="text" name="firstprize" autocomplete="off" maxlength="6" minlength="6"
                            class="form-control no-number no-space" id="firstprize">
                    </div>
                    <div class="form-group">
                        <label>Second Prize</label>
                        <input type="text" name="secondprize" autocomplete="off" maxlength="6" minlength="6"
                            class="form-control no-number no-space" id="secondprize">
                    </div>
                    <div class="form-group">
                        <label>Third Prize</label>
                        <input type="text" name="thirdprize" autocomplete="off" maxlength="6" minlength="6"
                            class="form-control no-number no-space" id="thirdprize">
                    </div>
                    <div class="form-group">
                        <label>Starter Prize</label>
                        <input type="text" name="starterprize" autocomplete="off" maxlength="6" minlength="6"
                            class="form-control no-number no-space" id="starterprize">
                    </div>
                    <div class="form-group">
                        <label>Consol Prize</label>
                        <input type="text" name="consolprize" autocomplete="off" maxlength="6" minlength="6"
                            class="form-control no-number no-space" id="consolprize">
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
                    <button type="submit" class="btn btn-primary btn-submit">Simpan</button>
                </div>
            </form>
        </div>
    </div>
</div>
<div class="modal" id="delete" tabindex="-1" role="dialog" aria-labelledby="largeModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-md" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="largeModalLabel">Konfirmasi?</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">

            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
                <button type="button" class="btn btn-primary btn-del-confirm">Hapus</button>
            </div>
        </div>
    </div>
</div>

<script>

    // var dates = [];

    $(".btn-show-add").on("click", function () {
        jQuery('#date').val("").datepicker("update");
        jQuery("input[name=date]").val("");
        jQuery("input[name=firstprize]").val("");
        jQuery("input[name=secondprize]").val("");
        jQuery("input[name=thirdprize]").val("");
        jQuery("input[name=starterprize]").val("");
        jQuery("input[name=consolprize]").val("");
        jQuery("#compose .modal-title").html("Add Draw");
        jQuery("#composeForm").attr("action", "<?= base_url("draws/insert"); ?>");
        jQuery("#composeForm").validate().resetForm();
    });

    $("#data").DataTable({
        "processing": true,
        "serverSide": true,
        "autoWidth": true,
        "order": [],
        "ajax": {
            "url": "<?= base_url("Draws/json"); ?>"
        },
        "drawCallback": function (settings) {
            jQuery.ajax({
                url: '../draws/get_dates',
                method: "GET",
                dataType: "json",
                processData: false,
                contentType: false,
                success: function (data) {
                    var res = Object.values(data).map((value) => value.date);
                    var dates = res.slice();
                    console.log(dates);

                    jQuery("#date").datepicker({
                        format: "yyyy/mm/dd",
                        autoclose: true,
                        todayBtn: 1,
                        autoclose: true,
                        datesDisabled: dates
                    });
                }
            });
        }
    });

    $(".no-space").on({
        keydown: function (e) {
            if (e.which === 32)
                return false;
        },
        change: function () {
            this.value = this.value.replace(/\s/g, "");
        }
    });

    $('.no-number').on('keypress', function (event) {
        if (event.which != 8 && isNaN(String.fromCharCode(event.which))) {
            event.preventDefault();
        }
    });

    $.validator.addMethod('filesize', function (value, element, param) {
        return this.optional(element) || (element.files[0].size <= param * 1000000)
    }, 'File size must be less than {0} MB');

    $("#composeForm").validate({
        rules: {
            date: {
                required: true
            },
            firstprize: {
                required: true
            },
            secondprize: {
                required: true
            },
            thirdprize: {
                required: true
            },
            starterprize: {
                required: true
            },
            consolprize: {
                required: true
            }
        },
        messages: {
            date: {
                required: "*Masukkan Tanggal."
            },
            firstprize: {
                required: "*Masukkan 1st. prize."
            },
            secondprize: {
                required: "*Masukkan 2nd. prize."
            },
            thirdprize: {
                required: "*Masukkan 3rd. prize."
            },
            starterprize: {
                required: "*Masukkan Starter prize."
            },
            consolprize: {
                required: "*Masukkan Consol prize."
            },
        },
        submitHandler: function (form) {
            var form = new FormData();
            form.append("date", jQuery('input[name=date]').val());
            form.append("firstprize", jQuery('input[name=firstprize]').val());
            form.append("secondprize", jQuery('input[name=secondprize]').val());
            form.append("thirdprize", jQuery('input[name=thirdprize]').val());
            form.append("starterprize", jQuery('input[name=starterprize]').val());
            form.append("consolprize", jQuery('input[name=consolprize]').val());

            var action = jQuery("#composeForm").attr("action");

            jQuery.ajax({
                url: action,
                method: "POST",
                data: form,
                dataType: "json",
                processData: false,
                contentType: false,
                success: function (data) {
                    if (data.status) {
                        jQuery("input[name=date]").val("");
                        jQuery("input[name=firstprize]").val("");
                        jQuery("input[name=secondprize]").val("");
                        jQuery("input[name=thirdprize]").val("");
                        jQuery("input[name=starterprize]").val("");
                        jQuery("input[name=consolprize]").val("");


                        jQuery("#compose").modal('toggle');
                        jQuery("#data").DataTable().ajax.reload(null, true);
                        Swal.fire(
                            'Berhasil',
                            data.msg,
                            'success'
                        )
                    } else {
                        Swal.fire(
                            'Gagal',
                            data.msg,
                            'error'
                        )
                    }
                }
            });
        },
        errorPlacement: function (label, element) {
            label.addClass('error');
            element.after(label);
        }
    });

    $('body').on("click", ".btn-delete", function () {
        var id = jQuery(this).attr("data-id");
        var date = jQuery(this).attr("data-date");
        jQuery("#delete .modal-body").html("Anda yakin ingin menghapus <b>" + date + "</b>");
        jQuery("#delete").modal("toggle");

        jQuery("#delete .btn-del-confirm").attr("onclick", "deleteData(" + id + ")");
    })

    function deleteData(id) {
        jQuery.getJSON("<?= base_url(); ?>draws/delete/" + id, function (data) {
            console.log(data.status);
            if (data.status) {
                jQuery("#delete").modal("toggle");
                jQuery("#data").DataTable().ajax.reload(null, true);
                Swal.fire(
                    'Berhasil',
                    data.msg,
                    'success'
                )
            } else {
                Swal.fire(
                    'Gagal',
                    data.msg,
                    'error'
                )
            }
        })
    }

    function isNumber(evt) {
        evt = (evt) ? evt : window.event;
        var charCode = (evt.which) ? evt.which : evt.keyCode;
        if (charCode > 31 && (charCode < 48 || charCode > 57)) {
            return false;
        }
        return true;
    }

    $("body").on("click", ".btn-edit", function () {

        var id = jQuery(this).attr("data-id");
        var date = jQuery(this).attr("data-date");
        var firstprize = jQuery(this).attr("data-firstprize");
        var secondprize = jQuery(this).attr("data-secondprize");
        var thirdprize = jQuery(this).attr("data-thirdprize");
        var starterprize = jQuery(this).attr("data-starterprize");
        var consolprize = jQuery(this).attr("data-consolprize");

        jQuery("#compose .modal-title").html("Edit Draw");
        jQuery("#composeForm").attr("action", "<?= base_url(); ?>draws/update/" + id);
        jQuery("input[name=date]").val(date);
        jQuery("input[name=secondprize]").val(secondprize);
        jQuery("input[name=thirdprize]").val(thirdprize);
        jQuery("input[name=starterprize]").val(starterprize);
        jQuery("input[name=consolprize]").val(consolprize);
        jQuery("input[name=firstprize]").val(firstprize);


        jQuery(".form-group label.error").remove();
        jQuery(".form-group input").removeClass('.error');
        jQuery("#compose").modal("toggle");
    });

</script>