<div class="breadcrumbs">
    <div class="col-sm-4">
        <div class="page-header float-left">
            <div class="page-title">
                <h1>Pengaturan</h1>
            </div>
        </div>
    </div>
    <div class="col-sm-8">
        <div class="page-header float-right">
            <div class="page-title">
                <ol class="breadcrumb text-right">
                    <li><a href="<?= base_url("dashboard"); ?>">Dashboard</a></li>
                    <li class="active">Pengaturan</li>
                </ol>
            </div>
        </div>
    </div>
</div>
<div class="content mt-3">
    <div class="card">
        <div class="card-body">
            <div class="row">
                <div class="col-md-6 col-sm-12">
                    <div class="form-group">
                        <label>Logo</label>
                        <input type="file" name="userfile" class="logo"
                            data-default-file="<?= base_url(); ?>img/<?= $this->company_info->get_company_logo(); ?>"
                            value="<?= $this->company_info->get_company_logo(); ?>" />
                    </div>
                    <div class="form-group">
                        <label>Nama</label>
                        <input type="text" name="name" class="form-control"
                            value="<?= $this->company_info->get_company_name(); ?>">
                    </div>
                    <div class="form-group">
                        <label>Alamat</label>
                        <textarea name="address"
                            class="form-control"><?= $this->company_info->get_company_address(); ?></textarea>
                    </div>
                    <div class="form-group">
                        <label>Email</label>
                        <input type="text" name="email" class="form-control"
                            value="<?= $this->company_info->get_company_email(); ?>">
                    </div>
                    <div class="form-group">
                        <label>No. Whatsapp</label>
                        <input type="text" name="whatsapp" class="form-control"
                            value="<?= $this->company_info->get_company_whatsapp(); ?>">
                    </div>
                </div>
                <div class="col-md-6 col-sm-12">
                    <div class="form-group">
                        <label>Favicon</label>
                        <input type="file" name="favicon" class="favicon"
                            data-default-file="<?= base_url(); ?>img/<?= $this->company_info->get_company_favicon(); ?>"
                            value="<?= $this->company_info->get_company_favicon(); ?>" />
                    </div>

                    <div class="form-group">
                        <label>Waktu draw</label>
                        <div class="input-group date" id="drawtime">
                            <input type="text" class="form-control timePicker" name="drawtime"
                                value="<?= $this->company_info->get_drawtime(); ?>">
                            <span class="input-group-addon"><i class="fa fa-clock" aria-hidden="true"></i></span>
                        </div>
                    </div>
                    <div class="form-group">
                        <label>Link Facebook</label>
                        <input type="text" name="facebook" class="form-control"
                            value="<?= $this->company_info->get_company_facebook(); ?>">
                    </div>
                    <div class="form-group">
                        <label>Link Instagram</label>
                        <input type="text" name="instagram" class="form-control"
                            value="<?= $this->company_info->get_company_instagram(); ?>">
                    </div>
                    <div class="form-group">
                        <label>Link Youtube</label>
                        <input type="text" name="youtube" class="form-control"
                            value="<?= $this->company_info->get_company_youtube(); ?>">
                    </div>
                    <div class="form-group mb-5">
                        <label>Warna tema</label>
                        <div id="my-color-select" class="colorpicker"
                            data-exist="<?= $this->company_info->get_color(); ?>"></div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-6 col-sm-12">
                    <button type="button" class="btn btn-primary btn-save">Simpan</button>
                </div>
            </div>
        </div>
    </div>
</div>

<script>
    $(".btn-save").on("click", function () {
        var form = new FormData();
        form.append("name", jQuery('input[name=name]').val());
        form.append("address", jQuery('textarea[name=address]').val());
        form.append("email", jQuery('input[name=email]').val());
        form.append("whatsapp", jQuery('input[name=whatsapp]').val());
        form.append("facebook", jQuery('input[name=facebook]').val());
        form.append("instagram", jQuery('input[name=instagram]').val());
        form.append("youtube", jQuery('input[name=youtube]').val());
        form.append("drawtime", jQuery('input[name=drawtime]').val());
        form.append("color", jQuery('.color-selected-div').attr('item-selected'));
        form.append("userfile", jQuery('.logo')[0].files[0]);
        form.append("favicon", jQuery('.favicon')[0].files[0]);
        jQuery.ajax({
            url: "<?= base_url("setting/save_info"); ?>",
            method: "POST",
            data: form,
            dataType: "json",
            processData: false,
            contentType: false,
            success: function (data) {
                if (data.status) {
                    Swal.fire(
                        'Berhasil',
                        data.msg,
                        'success'
                    ).then((result) => {
                        window.location.reload();
                    });
                } else {
                    Swal.fire(
                        'Gagal',
                        data.msg,
                        'error'
                    )
                }
            }
        });
    })

    jQuery('#drawtime').datetimepicker({
        useCurrent: false,
        format: "H:m:s"
    });

    let colorArray = [];
    var currentcolor = $('.colorpicker').attr('data-exist');
    var uniqueNames = [];

    if (currentcolor != '') {
        green = '#0C4F3F';
        blue = '#0C2D57';
        orange = '#FC6736';
        purple = '#6C22A6';
        yellow = '#FF9800';
        red = '#CD1818';
        colorArray.push(green, blue, orange, purple, yellow, red);
        colorArray.push(currentcolor);
        $.each(colorArray, function (i, el) {
            if ($.inArray(el, uniqueNames) === -1) uniqueNames.push(el);
        });

        uniqueNames.forEach(function (item, i) {
            if (item === currentcolor) {
                uniqueNames.splice(i, 1);
                uniqueNames.unshift(item);
            }
        });
    }
    $('#my-color-select').fastColorPicker(uniqueNames);
    $('.colorpicker').on('click', function () {
        $('.color-items-div').toggleClass('d-block');
    });

    $('.favicon').dropify();
    $('.logo').dropify();
</script>