(function ($) {
  "use strict";

  /*--
        Header Sticky
    -----------------------------------*/
  $(window).on("scroll", function (event) {
    var scroll = $(window).scrollTop();
    if (scroll <= 200) {
      $(".header-main").removeClass("sticky");
    } else {
      $(".header-main").addClass("sticky");
    }
  });

  /*--
        Menu Active
    -----------------------------------*/
  $(function () {
    var url = window.location.pathname;
    var activePage = url.substring(url.lastIndexOf("/") + 1);
    $(".nav-menu li a").each(function () {
      var linkPage = this.href.substring(this.href.lastIndexOf("/") + 1);

      if (activePage == linkPage) {
        $(this).closest("li").addClass("active");
      }
    });
  });

  /*--
        Menu Script
    -----------------------------------*/

  /*Variables*/
  var $offCanvasNav = $(".mobile-menu-items"),
    $offCanvasNavSubMenu = $offCanvasNav.find(".sub-menu");

  /*Add Toggle Button With Off Canvas Sub Menu*/
  $offCanvasNavSubMenu
    .parent()
    .prepend('<span class="mobile-menu-expand"></span>');

  /*Close Off Canvas Sub Menu*/
  $offCanvasNavSubMenu.slideUp();

  /*Category Sub Menu Toggle*/
  $offCanvasNav.on(
    "click",
    "li a, li .mobile-menu-expand, li .menu-title",
    function (e) {
      var $this = $(this);
      if ($this.parent().attr("class")) {
        if (
          $this
            .parent()
            .attr("class")
            .match(/\b(menu-item-has-children|has-children|has-sub-menu)\b/) &&
          ($this.attr("href") === "#" || $this.hasClass("mobile-menu-expand"))
        ) {
          e.preventDefault();
          if ($this.siblings("ul:visible").length) {
            $this.parent("li").removeClass("active-expand");
            $this.siblings("ul").slideUp();
          } else {
            $this.parent("li").addClass("active-expand");
            $this.closest("li").siblings("li").find("ul:visible").slideUp();
            $this.closest("li").siblings("li").removeClass("active-expand");
            $this.siblings("ul").slideDown();
          }
        }
      }
    }
  );

  $(".sub-menu").parent("li").addClass("menu-item-has-children");

  /*--
        Back to top Script
    -----------------------------------*/
  // Show or hide the sticky footer button
  $(window).on("scroll", function (event) {
    if ($(this).scrollTop() > 600) {
      $(".back-to-top").fadeIn(200);
    } else {
      $(".back-to-top").fadeOut(200);
    }
  });

  //Animate the scroll to yop
  $(document).on("click", ".back-to-top", function () {
    $("html, body").animate({ scrollTop: 0 });
    return false;
  });

  /*--
        tooltipList
    -----------------------------------*/
  var tooltipTriggerList = [].slice.call(
    document.querySelectorAll('[data-bs-tooltip="tooltip"]')
  );
  var tooltipList = tooltipTriggerList.map(function (tooltipTriggerEl) {
    return new bootstrap.Tooltip(tooltipTriggerEl);
  });

  /*--
        Rating Script
    -----------------------------------*/

  $("#rating li").on("mouseover", function () {
    var onStar = parseInt($(this).data("value"), 10);
    var siblings = $(this).parent().children("li.star");
    Array.from(siblings, function (item) {
      var value = item.dataset.value;
      var child = item.firstChild;
      if (value <= onStar) {
        child.classList.add("hover");
      } else {
        child.classList.remove("hover");
      }
    });
  });

  $("#rating").on("mouseleave", function () {
    var child = $(this).find("li.star i");
    Array.from(child, function (item) {
      item.classList.remove("hover");
    });
  });

  $("#rating li").on("click", function (e) {
    var onStar = parseInt($(this).data("value"), 10);
    var siblings = $(this).parent().children("li.star");
    Array.from(siblings, function (item) {
      var value = item.dataset.value;
      var child = item.firstChild;
      if (value <= onStar) {
        child.classList.remove("hover", "hover");
        child.classList.add("star");
      } else {
        child.classList.remove("star");
        child.classList.add("hover");
      }
    });
  });

  /*--
        select2
    -----------------------------------*/
  $(".select2").select2({
    tags: true,
  });

  /*--
    Gradients
    -----------------------------------*/

  var color = $('body').attr('data-color');
  var secondcolor = $('body').attr('data-secondcolor');
  console.log(color);
  $("#demo").gradient({
    colors: [color, secondcolor, color],
    static: true,
  });

  /*--
        AOS Scroll Animation
    -----------------------------------*/
  AOS.init({
    once: true,
    duration: 1500,
  });

  /*--
    Validation
    -----------------------------------*/

  /*--
    Preloader
    -----------------------------------*/

  $(".preloader-box").fadeOut(1000, function () {
    $(this).addClass("loaded");
  });

  /*--
    LIVE DRAW
    -----------------------------------*/

  if ($("#countdown").length) {
    var drawtime = $("#countdown").attr("data-drawtime");
    var timeGet = drawtime.split(":");
    var hour = parseInt(timeGet[0]);
    var min = parseInt(timeGet[1]);
    var sec = parseInt(timeGet[2]);

    var $this = $("#countdown");
    var x = setInterval(function () {
      var now = new Date().getTime();
      var today = new Date().setHours(hour, min, sec, 1000);
      var distance = today - now;
      // var days = Math.floor(distance / (1000 * 60 * 60 * 24));

      var hours = Math.floor(
        (distance % (1000 * 60 * 60 * 24)) / (1000 * 60 * 60)
      );
      var minutes = Math.floor((distance % (1000 * 60 * 60)) / (1000 * 60));
      var seconds = Math.floor((distance % (1000 * 60)) / 1000);

      if (distance > 0) {
        $this.html(
          "<div class='countdown'><span>" +
            hours +
            "h </span><span>" +
            minutes +
            "m </span><span>" +
            seconds +
            "s </span></div>"
        );
      } else {
        clearInterval(x);
        loadLive();
        var html = "<p class='count-message'>See you tomorrow's draw!</p>";
        $(".count-message").html(html);
      }
    }, 1000);

    loadLive();
    setInterval(loadLive, 18000);

    function loadLive() {
      var today = new Date();
      var firstprize = $("#firstPrize");
      var secondprize = $("#secondPrize");
      var thirdprize = $("#thirdPrize");
      var starterprize = $("#starterPrize");
      var consolprize = $("#consolPrize");
      firstprize.html("");
      secondprize.html("");
      thirdprize.html("");
      starterprize.html("");
      consolprize.html("");

      var drawtime = $("#countdown").attr("data-drawtime");
      var timeGet = drawtime.split(":");
      var hour = parseInt(timeGet[0]);
      var min = parseInt(timeGet[1]);
      var sec = parseInt(timeGet[2]);

      for (var f = 0; f < 6; f++) {
        var htmlloader =
          "<li>" +
          "<img src='template/lottery/assets/images/pearl.png'alt='number'>" +
          "<div class='loader-number'><img src='template/lottery/assets/images/loader-ball.gif'alt='number'></div>" +
          "</li>";
        firstprize.append(htmlloader);
        secondprize.append(htmlloader);
        thirdprize.append(htmlloader);
        starterprize.append(htmlloader);
        consolprize.append(htmlloader);
      }

      $.ajax({
        url: "DrawsFront/getlivedraws/",
        type: "get",
        cache: false,
        dataType: "JSON",
        processData: false,
        contentType: false,
        success: function (response) {
          if (response.today.length != 0) {
            var now = new Date().getTime();
            var today = new Date().setHours(hour, min, sec, 1000);
            var distance = today - now;
            if (distance > 0) {
              setTimeout(() => {
                firstprize.html("");
                secondprize.html("");
                thirdprize.html("");
                starterprize.html("");
                consolprize.html("");
                for (var i = 0; i < response.yesterday.firstprize.length; i++) {
                  var htmlfirst =
                    "<li>" +
                    "<img src='template/lottery/assets/images/pearl.png'alt='number'>" +
                    "<p>" +
                    response.yesterday.firstprize[i] +
                    "</p>" +
                    "</li>";
                  var htmlsecond =
                    "<li>" +
                    "<img src='template/lottery/assets/images/pearl.png'alt='number'>" +
                    "<p>" +
                    response.yesterday.secondprize[i] +
                    "</p>" +
                    "</li>";
                  var htmlthird =
                    "<li>" +
                    "<img src='template/lottery/assets/images/pearl.png'alt='number'>" +
                    "<p>" +
                    response.yesterday.thirdprize[i] +
                    "</p>" +
                    "</li>";
                  var htmlstarter =
                    "<li>" +
                    "<img src='template/lottery/assets/images/pearl.png'alt='number'>" +
                    "<p>" +
                    response.yesterday.starterprize[i] +
                    "</p>" +
                    "</li>";
                  var htmlconsol =
                    "<li>" +
                    "<img src='template/lottery/assets/images/pearl.png'alt='number'>" +
                    "<p>" +
                    response.yesterday.consolprize[i] +
                    "</p>" +
                    "</li>";
                  firstprize.append(htmlfirst);
                  secondprize.append(htmlsecond);
                  thirdprize.append(htmlthird);
                  starterprize.append(htmlstarter);
                  consolprize.append(htmlconsol);
                }
              }, "1500");
            } else {
              setTimeout(() => {
                firstprize.html("");
                secondprize.html("");
                thirdprize.html("");
                starterprize.html("");
                consolprize.html("");
                for (var i = 0; i < response.today.firstprize.length; i++) {
                  var htmlfirst =
                    "<li>" +
                    "<img src='template/lottery/assets/images/pearl.png'alt='number'>" +
                    "<p>" +
                    response.today.firstprize[i] +
                    "</p>" +
                    "</li>";
                  var htmlsecond =
                    "<li>" +
                    "<img src='template/lottery/assets/images/pearl.png'alt='number'>" +
                    "<p>" +
                    response.today.secondprize[i] +
                    "</p>" +
                    "</li>";
                  var htmlthird =
                    "<li>" +
                    "<img src='template/lottery/assets/images/pearl.png'alt='number'>" +
                    "<p>" +
                    response.today.thirdprize[i] +
                    "</p>" +
                    "</li>";
                  var htmlstarter =
                    "<li>" +
                    "<img src='template/lottery/assets/images/pearl.png'alt='number'>" +
                    "<p>" +
                    response.today.starterprize[i] +
                    "</p>" +
                    "</li>";
                  var htmlconsol =
                    "<li>" +
                    "<img src='template/lottery/assets/images/pearl.png'alt='number'>" +
                    "<p>" +
                    response.today.consolprize[i] +
                    "</p>" +
                    "</li>";
                  firstprize.append(htmlfirst);
                  secondprize.append(htmlsecond);
                  thirdprize.append(htmlthird);
                  starterprize.append(htmlstarter);
                  consolprize.append(htmlconsol);
                }
              }, "1500");
            }
          } else {
            var now = new Date().getTime();
            var today = new Date().setHours(hour, min, sec, 1000);
            var distance = today - now;
            setTimeout(() => {
              firstprize.html("");
              secondprize.html("");
              thirdprize.html("");
              starterprize.html("");
              consolprize.html("");
              for (var i = 0; i < response.yesterday.firstprize.length; i++) {
                var htmlfirst =
                  "<li>" +
                  "<img src='template/lottery/assets/images/pearl.png'alt='number'>" +
                  "<p>" +
                  response.yesterday.firstprize[i] +
                  "</p>" +
                  "</li>";
                var htmlsecond =
                  "<li>" +
                  "<img src='template/lottery/assets/images/pearl.png'alt='number'>" +
                  "<p>" +
                  response.yesterday.secondprize[i] +
                  "</p>" +
                  "</li>";
                var htmlthird =
                  "<li>" +
                  "<img src='template/lottery/assets/images/pearl.png'alt='number'>" +
                  "<p>" +
                  response.yesterday.thirdprize[i] +
                  "</p>" +
                  "</li>";
                var htmlstarter =
                  "<li>" +
                  "<img src='template/lottery/assets/images/pearl.png'alt='number'>" +
                  "<p>" +
                  response.yesterday.starterprize[i] +
                  "</p>" +
                  "</li>";
                var htmlconsol =
                  "<li>" +
                  "<img src='template/lottery/assets/images/pearl.png'alt='number'>" +
                  "<p>" +
                  response.yesterday.consolprize[i] +
                  "</p>" +
                  "</li>";
                firstprize.append(htmlfirst);
                secondprize.append(htmlsecond);
                thirdprize.append(htmlthird);
                starterprize.append(htmlstarter);
                consolprize.append(htmlconsol);
              }
            }, "1500");
          }
        },
      });
    }
  }

  /*--
    DATAS
    -----------------------------------*/

  $("#pastTable").DataTable({
    processing: true,
    serverSide: true,
    serverMethod: "post",
    autoWidth: false,
    ajax: {
      url: "DrawsFront/getpast",
    },
    bLengthChange: false,
    drawCallback: function (settings) {
      $(".table-ball").each(function () {
        var number = $(this).text();
        var ul = '<ul class="number-ball">';
        var endul = "</ul>";
        var html = "";
        for (var i = 0; i < number.length; i++) {
          html +=
            "<li>" +
            "<img src='template/lottery/assets/images/pearl.png'alt='number'>" +
            "<p>" +
            number[i] +
            "</p>" +
            "</li>";
        }
        $(this).html(ul + html + endul);
      });
    },
    fnInitComplete: function () {
      $("#preloaderdraws").toggleClass("d-none");
      $("#tableArea").toggleClass("d-none");
    },
    createdRow: function (row, data, index) {
      $("td", row).eq(2).addClass("table-ball");
      $("td", row).eq(3).addClass("table-ball");
      $("td", row).eq(4).addClass("table-ball");
    },
  });
})(jQuery);
